<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/active_fnc_err_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>01/12/82  active_fnc_err_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in active_fnc_err_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: active_fnc_err_: 01/12/82 active_fnc_err_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: is called by active functions when they detect unusual
<span id="L12" class="LineNr">12 </span>status conditions.  It formats an error message and then signals
<span id="L13" class="LineNr">13 </span>the condition active_function_error.  The default handler for this
<span id="L14" class="LineNr">14 </span>condition prints the error message and then returns the user to
<span id="L15" class="LineNr">15 </span>command level.  <span class="textRainbow_lv0_p0">(</span>See &quot;List of System Conditions and Default Handlers&quot;
<span id="L16" class="LineNr">16 </span>in Section 6 of the MPM Reference Guide for further information.<span class="textRainbow_lv0_p0">)</span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>Since this subroutine can be called with a varying number of arguments,
<span id="L19" class="LineNr">19 </span>it is not permissible to include a parameter attribute list in its
<span id="L20" class="LineNr">20 </span>declaration.
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>Syntax:
<span id="L24" class="LineNr">24 </span>declare active_fnc_err_ entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L25" class="LineNr">25 </span>call active_fnc_err_ <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_o0">,</span> caller<span class="textRainbow_lv0_o0">,</span> control_string<span class="textRainbow_lv0_o0">,</span> arg1<span class="textRainbow_lv0_o0">,</span> ...<span class="textRainbow_lv0_o0">,</span> argN<span class="textRainbow_lv0_p0">)</span>;
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>
<span id="L28" class="LineNr">28 </span>Arguments:
<span id="L29" class="LineNr">29 </span>code
<span id="L30" class="LineNr">30 </span>   is a standard status code <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L31" class="LineNr">31 </span>caller
<span id="L32" class="LineNr">32 </span>   is the name <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> of the calling procedure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be
<span id="L33" class="LineNr">33 </span>   either varying or nonvarying.
<span id="L34" class="LineNr">34 </span>control_string
<span id="L35" class="LineNr">35 </span>   is an ioa_ subroutine control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> <span class="textRainbow_lv0_p0">(</span>The ioa_
<span id="L36" class="LineNr">36 </span>   subroutine is described in the MPM Subroutines.<span class="textRainbow_lv0_p0">)</span>  This argument is
<span id="L37" class="LineNr">37 </span>   optional.  See &quot;Notes&quot; below.
<span id="L38" class="LineNr">38 </span>argI
<span id="L39" class="LineNr">39 </span>   are ioa_ subroutine arguments to be substituted into control_string.
<span id="L40" class="LineNr">40 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> These arguments are optional.  <span class="textRainbow_lv0_p0">(</span>However<span class="textRainbow_lv0_o0">,</span> they can only be
<span id="L41" class="LineNr">41 </span>   used if the control_string argument is given first.<span class="textRainbow_lv0_p0">)</span>  See &quot;Notes&quot;
<span id="L42" class="LineNr">42 </span>   below.
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>Notes:  The error message prepared by the active_fnc_err_ subroutine
<span id="L46" class="LineNr">46 </span>has the format:
<span id="L47" class="LineNr">47 </span>   caller:  system_message user_message
<span id="L48" class="LineNr">48 </span>where:
<span id="L49" class="LineNr">49 </span>   caller
<span id="L50" class="LineNr">50 </span>      is the caller argument described above and should be the name
<span id="L51" class="LineNr">51 </span>      of the procedure detecting the error.
<span id="L52" class="LineNr">52 </span>   system_message
<span id="L53" class="LineNr">53 </span>      is a standard message from a standard status table corresponding
<span id="L54" class="LineNr">54 </span>      to the value of code.  If code is equal to 0, no system_message
<span id="L55" class="LineNr">55 </span>      is returned.
<span id="L56" class="LineNr">56 </span>   user_message
<span id="L57" class="LineNr">57 </span>      is constructed by the ioa_ subroutine from the control_string
<span id="L58" class="LineNr">58 </span>      and argI arguments described above.  If the control_string and
<span id="L59" class="LineNr">59 </span>      argI arguments are not given, user_message is omitted.
<span id="L60" class="LineNr">60 </span>
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>:Entry: suppress_name:  01/12/82  active_fnc_err_$suppress_name
<span id="L63" class="LineNr">63 </span>
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>Function:  This entrypoint is functionally the same as active_fnc_err_,
<span id="L66" class="LineNr">66 </span>but it suppresses the caller name and the colon at the beginning of the
<span id="L67" class="LineNr">67 </span>error message.  The caller name is nevertheless passed to the
<span id="L68" class="LineNr">68 </span>active_function error handler.
<span id="L69" class="LineNr">69 </span>
<span id="L70" class="LineNr">70 </span>
<span id="L71" class="LineNr">71 </span>Syntax:
<span id="L72" class="LineNr">72 </span>declare active_fnc_err_$suppress_name entry options <span class="textRainbow_lv0_p0">(</span>variable<span class="textRainbow_lv0_p0">)</span>;
<span id="L73" class="LineNr">73 </span>call active_fnc_err_$suppress_name <span class="textRainbow_lv0_p0">(</span>code<span class="textRainbow_lv0_o0">,</span> caller<span class="textRainbow_lv0_o0">,</span> control string<span class="textRainbow_lv0_o0">,</span>
<span id="L74" class="LineNr">74 </span>     arg1<span class="textRainbow_lv0_o0">,</span>...argN<span class="textRainbow_lv0_p0">)</span>;
<span id="L75" class="LineNr">75 </span>
<span id="L76" class="LineNr">76 </span>
<span id="L77" class="LineNr">77 </span>Arguments:
<span id="L78" class="LineNr">78 </span>code
<span id="L79" class="LineNr">79 </span>   is a standard status code <span class="textRainbow_lv0_p0">(</span>fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L80" class="LineNr">80 </span>caller
<span id="L81" class="LineNr">81 </span>   is the name <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span> of the calling procedure.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> It can be
<span id="L82" class="LineNr">82 </span>   either varying or nonvarying.
<span id="L83" class="LineNr">83 </span>control_string
<span id="L84" class="LineNr">84 </span>   is an ioa_ subroutine control string <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>  This
<span id="L85" class="LineNr">85 </span>   argument is optional.
<span id="L86" class="LineNr">86 </span>argI
<span id="L87" class="LineNr">87 </span>   are ioa_ subroutine arguments to be substituted into control_string.
<span id="L88" class="LineNr">88 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> These arguments are optional.  <span class="textRainbow_lv0_p0">(</span>However<span class="textRainbow_lv0_o0">,</span> they can only be
<span id="L89" class="LineNr">89 </span>   used if the control_string argument is given first.<span class="textRainbow_lv0_p0">)</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
